// file: $isip/class/search/SymbolGraphNode/sgrpn_00.cc
// version: $Id: sgrpn_00.cc 9329 2003-10-29 20:40:03Z alphonso $
//

// there is no source code in this file
//

// isip include files
//
#include "SymbolGraphNode.h"

// method: default constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor for the SymbolGraphNode class
//
SymbolGraphNode::SymbolGraphNode() {

  // initialize data members
  //
  frame_index_d = DEF_FRAME_INDEX;
  node_index_d = DEF_NODE_INDEX;  
  reference_count_d = DEF_REFERENCE_COUNT;
  score_d = DEF_SCORE;
  
  parent_graph_d = (SymbolGraph*)NULL;

  // set the allocation mode
  //
  prev_nodes_d.setAllocationMode(DstrBase::USER);
  next_nodes_d.setAllocationMode(DstrBase::USER);      
}

// method: constructor
//
// arguments: none
//
// return: none
//
// this is the constructor for the SymbolGraphNode class
//
SymbolGraphNode::SymbolGraphNode(long index, const String& symbol) {

  // set the data members
  //
  frame_index_d = index;
  symbol_d = symbol;

  node_index_d = DEF_NODE_INDEX;
  reference_count_d = DEF_REFERENCE_COUNT;
  score_d = DEF_SCORE;
  
  parent_graph_d = (SymbolGraph*)NULL;

  // set the allocation mode
  //
  prev_nodes_d.setAllocationMode(DstrBase::USER);
  next_nodes_d.setAllocationMode(DstrBase::USER);  
}

// constants: class name
//
const String SymbolGraphNode::CLASS_NAME(L"SymbolGraphNode");

// constants: i/o related constants
//
const String SymbolGraphNode::DEF_PARAM(L"");

// static instantiations: memory manager and debug level
//
MemoryManager SymbolGraphNode::mgr_d(sizeof(SymbolGraphNode), CLASS_NAME);
Integral::DEBUG SymbolGraphNode::debug_level_d = Integral::NONE;

//
// end of file
